declare module "breakpoint-helper" {
    interface Breakpoints {
        [key: string]: string;
    }
    type Config = 'meta' | 'custom' | Breakpoints;
    type BpNameOrNames = string | string[];
    function bph(config: Config): {
        getBreakpoints: () => Breakpoints;
        getMediaQuery: (name: BpNameOrNames, useMax?: boolean) => string;
        isMatching: (name: BpNameOrNames, useMax?: boolean) => boolean;
        listen: (options: string | {
            name: BpNameOrNames;
            useMax?: boolean;
            immediate?: boolean;
        }, callback: (event: MediaQueryListEvent | MediaQueryList) => void) => {
            on: () => void;
            off: () => void;
        };
        listenAll: (callback: (bps: string[]) => void, options?: {
            listenTo?: string[];
            useMax?: boolean;
            immediate?: boolean;
        }) => {
            on: () => void;
            off: () => void;
        };
    };
    export default bph;
}
//# sourceMappingURL=breakpoint-helper.d.ts.map